### Class

# WebKit GeolocationPermissionRequest

unstable since: 6.0

#### Description [src]

    final class WebKit.GeolocationPermissionRequest : GObject.Object
      implements WebKit.PermissionRequest {
      /* No available fields */
    }

A permission request for sharing the user’s location.

WebKitGeolocationPermissionRequest represents a request for permission to decide whether WebKit should provide the user’s location to a website when requested through the Geolocation API.

When a WebKitGeolocationPermissionRequest is not handled by the user, it is denied by default.

When embedding web views in your application, you must configure an application identifier to allow web content to use geolocation services. The identifier must match the name of the `.desktop` file which describes the application, sans the suffix.

If your application uses `GApplication` (or any subclass like `GtkApplication`), WebKit will automatically use the identifier returned by g_application_get_application_id(). This is the recommended approach for enabling geolocation in applications.

If an identifier cannot be obtained through `GApplication`, the value returned by `g_get_prgname()` will be used instead as a fallback. For programs which cannot use `GApplication`, calling `g_set_prgname()` early during initialization is needed when the name of the executable on disk does not match the name of a valid `.desktop` file.

Available since: 6.0

#### Ancestors

- GObject

#### Implements

- WebKitPermissionRequest

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitPermissionRequest (2)

###### webkit_permission_request_allow

Allow the action which triggered this request.

unstable since: 6.0

###### webkit_permission_request_deny

Deny the action which triggered this request.

unstable since: 6.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WebKitGeolocationPermissionRequestClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.